## ros-indigo-pr2-arm-kinematics 1.0.7

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_arm_kinematics)

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED COMPONENTS roscpp angles tf_conversions urdf geometry_msgs kdl_parser moveit_msgs moveit_core pluginlib cmake_modules)
find_package(Eigen REQUIRED)


include_directories(include ${catkin_INCLUDE_DIRS})
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include_directories(${EIGEN_INCLUDE_DIRS})
include_directories(${Boost_INCLUDE_DIRS})
 
catkin_package(
    DEPENDS roscpp angles tf_conversions urdf geometry_msgs kdl_parser moveit_msgs pluginlib eigen moveit_core
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS include# TODO include
    LIBRARIES pr2_arm_kinematics_lib# TODO
)

add_library(pr2_arm_kinematics_lib
  src/pr2_arm_ik.cpp
  src/pr2_arm_ik_solver.cpp
  src/pr2_arm_kinematics_utils.cpp
  src/pr2_arm_kinematics.cpp
  src/pr2_arm_kinematics_plugin.cpp
)

add_executable(pr2_arm_kinematics_node src/main.cpp)
target_link_libraries(pr2_arm_kinematics_node pr2_arm_kinematics_lib ${catkin_LIBRARIES})
target_link_libraries(pr2_arm_kinematics_lib ${catkin_LIBRARIES})

install(FILES test_pr2_arm_ik.xml test_pr2_arm_ik_node.xml kinematics_plugins.xml
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

install(TARGETS pr2_arm_kinematics_lib 
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS pr2_arm_kinematics_node 
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-arm-kinematics (1.0.7-1trusty) trusty; urgency=high

  * Fix pr2_arm_kinematics for indigo by adding cmake_modules
  * Add dependency to cmake_modules to solve Eigen depdency on indigo
  * Contributors: Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 10 Feb 2015 06:00:00 -0000

ros-indigo-pr2-arm-kinematics (1.0.6-1trusty) trusty; urgency=high

  * Removed mainpage.dox
  * Removed mainpage.dox
  * Contributors: TheDash, dash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 21 Nov 2014 06:00:00 -0000

ros-indigo-pr2-arm-kinematics (1.0.5-1trusty) trusty; urgency=high

  * Added install target for pr2_kinematics_node to archive and lib dests
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 18 Nov 2014 06:00:00 -0000

ros-indigo-pr2-arm-kinematics (1.0.4-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 11 Nov 2014 06:00:00 -0000

ros-indigo-pr2-arm-kinematics (1.0.2-1trusty) trusty; urgency=high

  * Removed dependency on kinematics_base, replaced with moveit functionality
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 07 Sep 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-arm-kinematics
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions, ros-indigo-urdf
Homepage: http://ros.org/wiki/pr2_arm_kinematics
Standards-Version: 3.9.2

Package: ros-indigo-pr2-arm-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-angles, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions, ros-indigo-urdf
Description: This package provides a kinematics implementation for the PR2 robot. It can be used to compute forward and inverse kinematics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-arm-kinematics//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
